Pregunta Compatibilidad de la aplicación Visual Studio 2012 en un sistema operativo anterior


Estoy planeando crear una aplicación en Visual Sudio Pro 2012 en el futuro. Quiero que la aplicación se ejecute en XP, Vista, 7 y 8. Entonces, ¿la aplicación creada en Visual Studio Pro funcionará en estos sistemas operativos o no?


0


origen




Respuestas:


Si la aplicación apunta a .Net 3.5 o 4.0, entonces debería poder ejecutarse en los sistemas operativos que desee (sujeto a la instalación del marco), independientemente de la versión de Windows en la que se haya desarrollado. (Por supuesto, aún querrás prueba en todas las plataformas que vas a apoyar)


2



Puede orientar las versiones posteriores de .NET: si utiliza algo como la instalación de ClickOnce, buscará e instalará la versión correcta de .NET por usted. - ChrisF
Vale la pena señalar que 4.5 solo está disponible para Windows Vista y posterior, por lo que no funcionaría para Windows XP - Rowland Shaw
Buen punto, había olvidado esa arruga. - ChrisF
@Rowland Shaw Gracias por señalar.
Creo que también puedo usar .Net 3.0 con Visual Studio 2012. Estoy en lo cierto. Solo pregunto porque nunca antes uso VB.net en mi vida